### Constructor

# Gtk.FileChooserNative.new

#### Declaration [src]

    GtkFileChooserNative*
    gtk_file_chooser_native_new (
      const char* title,
      GtkWindow* parent,
      GtkFileChooserAction action,
      const char* accept_label,
      const char* cancel_label
    )

#### Description [src]

Creates a new `GtkFileChooserNative`.

#### Parameters

`title` | `const char*`
| Title of the native, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`parent` | `GtkWindow`
| Transient parent of the native, or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee
`action` | `GtkFileChooserAction`
| Open or save mode for the dialog
`accept_label` | `const char*`
| text to go in the accept button, or `NULL` for the default
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`cancel_label` | `const char*`
| text to go in the cancel button, or `NULL` for the default
| Can be `NULL`
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkFileChooserNative`
a new `GtkFileChooserNative`
Ownership of the data is transferred to the caller